gdialog Manual
<<< Previous |  | Next >>>

# Using gdialog

## Basic usage

`gdialog` is a utility meant for use in shell scripts or from the command prompt. Hence, to run gdialog, the complete description needs to be given on the command line or in the shell script about the type of dialog box to be created and shown to the user. For example, type the following in a GNOME terminal, or put it in a shell script - gdialog --msgbox "Here's a test message !" 200 150 creates and displays the dialog box shown in Figure 1.

Figure 1. gdialog example

The complete command line options list for `gdialog` is

gdialog [--title <title>] [--separate-output] [--backtitle >backtitle>] [--clear] <Box options>

title is used to give a title to the dialog.

"Box Options" can be one of the following

- [--defaultno] --yesno <text> <height> <width>

- --msgbox <text> <height> <width>

- --infobox <text> <height> <width>

- --inputbox <text> <height> <width> [<init>]

- --textbox <file> <height> <width>

- --menu <text> <height> <width> <menu height> <tag1> <item1> ...

- --checklist <text> <height> <width> <list height> <tag1> <item1> <status1> ...

- --radiolist <text> <height> <width> <list height> <tag1> <item1> <status1> ...

- --gauge <text> <height> <width> <percent>

- --guage <file> <text> <height> <width> <percent>

Using gdialog to show different types of dialog shown above is explained in the following sections.

<<< Previous | Home | Next >>>
gdialog Manual |  | Using different tyes of dialog boxes